
    (function() {
      var baseURL = "https://cdn.shopify.com/shopifycloud/checkout-web/assets/";
      var scripts = ["https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/polyfills-legacy.CQXPxSrO.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/app-legacy.BdH6TEcN.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/VaultedContact-legacy.DK0fGJRU.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DeliveryMethodSelectorSection-legacy.CuYrVcVD.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useUnauthenticatedErrorModal-legacy.BHgd5W6b.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/AmazonPayPCIButton-legacy.BMm5r-g1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/CheckoutAsGuest-legacy.iegc4qMe.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useRefEffect-legacy.BT9GhKz5.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/ShopPayLogo-legacy.DLprb3-H.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PickupPointCarrierLogo-legacy.CLgrBiK9.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/hooks-legacy.fAVAL6ch.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/LocalizationExtensionField-legacy.DxjHerND.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShowShopPayOptin-legacy.B00i25bw.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Rollup-legacy.CI6829_a.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useShopPayRequiresVerification-legacy.B8C66kKp.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/Section-legacy.KE_nXMF1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/GooglePayPCIButton-legacy.CofOpno1.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/PayButtonSection-legacy.DPqlvk7K.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/RageClickCapture-legacy.MXoQ8UvK.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useInstallmentsErrorHandler-legacy.DEV4QErY.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.BYRdZqAi.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/DutyOptions-legacy.COxrxkq-.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/SubscriptionPriceBreakdown-legacy.B1G_sAMv.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useAmazonContact-legacy.7jnqE4nW.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/StockProblemsLineItemList-legacy.BPfDoIwS.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/useGetBuyWithPrimeCheckoutSessionId-legacy.8EWUh3ty.js","https://cdn.shopify.com/shopifycloud/checkout-web/assets/c1.fr/index-legacy.CXKkoixD.js"];
      var styles = [];
      var fontPreconnectUrls = [];
      var fontPrefetchUrls = [];
      var imgPrefetchUrls = [];

      function preconnect(url, callback) {
        var link = document.createElement('link');
        link.rel = 'dns-prefetch preconnect';
        link.href = url;
        link.crossOrigin = '';
        link.onload = link.onerror = callback;
        document.head.appendChild(link);
      }

      function preconnectAssets() {
        var resources = [baseURL].concat(fontPreconnectUrls);
        var index = 0;
        (function next() {
          var res = resources[index++];
          if (res) preconnect(res, next);
        })();
      }

      function prefetch(url, as, callback) {
        var link = document.createElement('link');
        if (link.relList.supports('prefetch')) {
          link.rel = 'prefetch';
          link.fetchPriority = 'low';
          link.as = as;
          if (as === 'font') link.type = 'font/woff2';
          link.href = url;
          link.crossOrigin = '';
          link.onload = link.onerror = callback;
          document.head.appendChild(link);
        } else {
          var xhr = new XMLHttpRequest();
          xhr.open('GET', url, true);
          xhr.onloadend = callback;
          xhr.send();
        }
      }

      function prefetchAssets() {
        var resources = [].concat(
          scripts.map(function(url) { return [url, 'script']; }),
          styles.map(function(url) { return [url, 'style']; }),
          fontPrefetchUrls.map(function(url) { return [url, 'font']; }),
          imgPrefetchUrls.map(function(url) { return [url, 'image']; })
        );
        var index = 0;
        function run() {
          var res = resources[index++];
          if (res) prefetch(res[0], res[1], next);
        }
        var next = (self.requestIdleCallback || setTimeout).bind(self, run);
        next();
      }

      function onLoaded() {
        try {
          if (parseFloat(navigator.connection.effectiveType) > 2 && !navigator.connection.saveData) {
            preconnectAssets();
            prefetchAssets();
          }
        } catch (e) {}
      }

      if (document.readyState === 'complete') {
        onLoaded();
      } else {
        addEventListener('load', onLoaded);
      }
    })();
  